##
##  odt2txt.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2017 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         odt2txt
Summary:      OpenDocument Format to Text Conversion
URL:          http://stosberg.net/odt2txt/
Vendor:       Dennis Stosberg
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Typesetting
License:      GPL
Version:      0.5
Release:      20170708

#   list of sources
Source0:      https://github.com/dstosberg/odt2txt/archive/v%{version}.tar.gz
Patch0:       odt2txt.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, make, gcc
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  zlib, libiconv
PreReq:       zlib, libiconv

%description
     odt2txt is a command-line tool which extracts the text out of
     OpenDocument Texts produced by OpenOffice.org, StarOffice, KOffice
     and others. odt2txt can also extract text from some file formats
     similar to OpenDocument Text, such as OpenOffice.org XML (*.sxw),
     which was used by OpenOffice.org version 1.x and older StarOffice
     versions. To a lesser extend, odt2txt may be useful to extract
     content from OpenDocument spreadsheets (*.ods) and OpenDocument
     presentations (*.odp).

%track
    prog odt2txt = {
        version   = %{version}
        url       = https://github.com/dstosberg/odt2txt/releases
        regex     = v(0\.\d+)
    }

%prep
    %setup -q
    %patch -p0

%build
    %{l_make} %{l_mflags -O} \
        CC="%{l_cc} %{l_cflags -O}" \
        CXX="%{l_cxx} %{l_cxxflags -O}" \
        PREFIX="%{l_prefix}"

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 \
        odt2txt $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        odt2txt.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

